Subject: Re: Ospfv2 MIB

From: Vivek Dubey <[email-masked]>
Date: Sat, 11 Feb 2006 06:10:51 -0000

Dan,
Thanks for the input.
Draft history created the confusion:
http://tools.ietf.org/wg/ospf/draft-ietf-ospf-mib-update/draft-ietf-ospf-mib-update-07-from-06.diff.html

Further, could we rephrase the description of ospfHostCfgAreaID from:

"Allows the configuration of the Area the Host Entry is  
to be found within." 

TO

"The OSPF area to which the host belongs" as described in RFC 2328.

<vivek> Current description helps in creating the impression that
        it "intends to configure the Area"

-Vivek

On Fri, 10 Feb 2006 Acee Lindem wrote :
>Daniel Joyal wrote:
>
>>See RFC 2328, section C.7. The existing ospfHostAreaID
>>object was read-only. The OSPFv2 RFC calls for it to
>>be configurable. Backwards compatibility rules prevented
>>the syntax of ospfHostAreaID to be changed to read-create
>>so ospfHostCfgAreaID was added. This change was originally
>>requested by John Moy.
>>  
>Dan,
>That's what I figured.  So, in summary, it is read-create to allow its configuration
>but is not meant to create an area if the specified one doesn't exist. Correct?
>Thanks,
>Acee
>
>>-Dan
>>
>>  
>>>-----Original Message-----
>>> From: Mailing List [mailto:[email-masked]] On Behalf Of Acee Lindem
>>>Sent: Friday, February 10, 2006 7:33 AM
>>>To: [email-masked]
>>>Subject: Re: Ospfv2 MIB
>>>
>>>
>>>Vivek Dubey wrote:
>>>
>>>    
>>>>Acee,
>>>>Two things:
>>>>1) If "ospfHostCfgAreaID" does not intends that behaviour (i.e  creation of Area Entry) why was it brought into existence in   draft  "draft-ietf-ospf-mib-update-07". Existing      
>>>"ospfHostAreaID"     
>>>>  was serving the purpose.
>>>>
>>>>2) But if it intends to allow "creation of Area Entry", why      
>>>is it so?    
>>>>  As you have pointed out it is analogous to ospfIfAreaId.
>>>>
>>>>
>>>>      
>>>Vivek,
>>>It is definitely analogous to ospfIfAreaId so it will exhibit the same behavior. I'll defer to the
>>>MIB authors.
>>>
>>>Thanks,
>>>Acee
>>>
>>>    
>>>>Thanks
>>>>Vivek
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>On Thu, 09 Feb 2006 Acee Lindem wrote :
>>>>
>>>>
>>>>      
>>>>>Vivek Dubey wrote:
>>>>>
>>>>>   
>>>>>        
>>>>>>ospfHostCfgAreaID OBJECT-TYPE         SYNTAX       AreaID           
>>>       MAX-ACCESS   read-create         STATUS       current        DESCRIPTION            "Allows the configuration of the Area the Host Entry is             to be found within."    
>>>>>><Vivek> Does that mean, this configuration results in the          
>>>creation of    
>>>>>>"Ospf Area Entry" if one does not exist.  If so, why such          
>>>a behaviour?
>>>    
>>>>>>     
>>>>>>          
>>>>>Hi Vivek,
>>>>>My interpretation is that this should not create an area if the specified area doesn't exist. It is analogous to ospfIfAreaId for interfaces. I think trying to specify all the validation for read-create objects is a slippery slope.
>>>>>
>>>>>Thanks,
>>>>>Acee
>>>>>
>>>>>   
>>>>>        
>>>>>>Thanks
>>>>>>Vivek
>>>>>>
>>>>>>
>>>>>>     
>>>>>>          
>>>>
>>>>
>>>>      
>>>    
>>
>>